Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLStructuredGridWriter Class Reference

`#include <vtkXMLStructuredGridWriter.h>`

Inheritance diagram for vtkXMLStructuredGridWriter:

[legend]
Collaboration diagram for vtkXMLStructuredGridWriter:

[legend]
List of all members.

## Detailed Description

Write VTK XML StructuredGrid files.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkXMLStructuredGridWriter writes the VTK XML StructuredGrid file format. One structured grid input can be written into one file in any number of streamed pieces. The standard extension for this writer's file format is "vts". This writer is also used to write a single piece of the parallel file format.

See also:
  vtkXMLPStructuredGridWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLStructuredGridWriter.cxx)`
  - .`h` (`/IO/vtkXMLStructuredGridWriter.h)`

Definition at line 49 of file vtkXMLStructuredGridWriter.h.

## Public Types
typedef vtkXMLStructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetDefaultFileExtension ()
void | SetInput (vtkStructuredGrid *input)
vtkStructuredGrid * | GetInput ()
## Static Public Methods
vtkXMLStructuredGridWriter * | New ()
int | IsTypeOf (const char *type)
vtkXMLStructuredGridWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLStructuredGridWriter ()
| ~vtkXMLStructuredGridWriter ()
void | WriteAppendedMode (vtkIndent indent)
void | WriteAppendedPiece (int index, vtkIndent indent)
void | WriteAppendedPieceData (int index)
void | WriteInlinePiece (int index, vtkIndent indent)
void | GetInputExtent (int *extent)
const char * | GetDataSetName ()
## Protected Attributes
unsigned long * | PointsPosition

## Member Typedef Documentation

typedef vtkXMLStructuredDataWriter vtkXMLStructuredGridWriter::Superclass

| Reimplemented from vtkXMLStructuredDataWriter. Definition at line 53 of file vtkXMLStructuredGridWriter.h.

## Constructor & Destructor Documentation

vtkXMLStructuredGridWriter::vtkXMLStructuredGridWriter | ( |  | ) | `[protected]`

vtkXMLStructuredGridWriter::~vtkXMLStructuredGridWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMLStructuredGridWriter* vtkXMLStructuredGridWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkXMLStructuredGridWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

int vtkXMLStructuredGridWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataWriter.

virtual int vtkXMLStructuredGridWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataWriter.

vtkXMLStructuredGridWriter* vtkXMLStructuredGridWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLStructuredGridWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLStructuredGridWriter::SetInput | ( | vtkStructuredGrid * | input | ) |

| Get/Set the writer's input.

vtkStructuredGrid* vtkXMLStructuredGridWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLStructuredGridWriter::GetDefaultFileExtension | ( |  | ) | `[virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

void vtkXMLStructuredGridWriter::WriteAppendedMode | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLStructuredGridWriter::WriteAppendedPiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLStructuredGridWriter::WriteAppendedPieceData | ( | int | index | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLStructuredGridWriter::WriteInlinePiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLStructuredGridWriter::GetInputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLStructuredDataWriter.

const char* vtkXMLStructuredGridWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

## Member Data Documentation

unsigned long* vtkXMLStructuredGridWriter::PointsPosition`[protected]`

| Definition at line 78 of file vtkXMLStructuredGridWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLStructuredGridWriter.h